List additional workflow steps
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/additionalWorkflowSteps \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/additionalWorkflowSteps"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/additionalWorkflowSteps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"id": "<string>",
"name": "<string>"
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"direction": "ASC",
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Additional Workflow Step
List additional workflow steps
Accessible to ADMIN and PROJECT_MANAGER roles.
GET
/
api2
/
v1
/
additionalWorkflowSteps
List additional workflow steps
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Page number, starting with 0, default 0
Required range:
x >= 0Page size, accepts values between 1 and 50, default 50
Required range:
1 <= x <= 50Name of the additional workflow step to filter
Was this page helpful?